Bug 987347 - ghc-fast-logger-2.4.10 is available
ghc-fast-logger-2.4.10 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghc-fast-logger (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
fast-logger-2.4.6:deps
: FutureFeature, Triaged
Depends On:
Blocks: 1034959 1154622
  Show dependency treegraph
 
Reported: 2013-07-23 05:54 EDT by Upstream Release Monitoring
Modified: 2017-03-01 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1154622 (view as bug list)
Environment:
Last Closed: 2017-03-01 03:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.4.0 (#987347) (1.08 KB, text/x-diff)
2015-07-06 08:11 EDT, Upstream Release Monitoring
no flags Details
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.20 KB, patch)
2016-04-19 11:32 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.20 KB, patch)
2016-04-26 08:13 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.38 KB, patch)
2016-05-01 20:12 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.62 KB, patch)
2016-10-02 08:17 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.38 KB, patch)
2017-01-29 07:15 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.23 KB, patch)
2017-02-04 19:12 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2013-07-23 05:54:49 EDT
Latest upstream release: 0.3.2
Current version/release in Fedora Rawhide: 0.3.1-3.fc20
URL: http://hackage.haskell.org/packages/archive/fast-logger/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-08-04 05:30:06 EDT
Latest upstream release: 0.3.3
Current version/release in Fedora Rawhide: 0.3.1-3.fc20
URL: http://hackage.haskell.org/packages/archive/fast-logger/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2013-12-04 03:53:04 EST
Latest upstream release: 2.0.0
Current version/release in Fedora Rawhide: 0.3.1-4.fc20
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-12-26 07:32:08 EST
Latest upstream release: 2.0.3
Current version/release in Fedora Rawhide: 0.3.1-4.fc20
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Upstream Release Monitoring 2013-12-29 17:28:49 EST
Latest upstream release: 2.1.0
Current version/release in Fedora Rawhide: 0.3.1-4.fc20
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Upstream Release Monitoring 2014-01-07 03:17:49 EST
Latest upstream release: 2.1.1
Current version/release in Fedora Rawhide: 0.3.1-4.fc20
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Upstream Release Monitoring 2014-01-09 04:23:49 EST
Latest upstream release: 2.1.2
Current version/release in Fedora Rawhide: 0.3.1-4.fc20
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Upstream Release Monitoring 2014-01-13 07:16:41 EST
Latest upstream release: 2.1.4
Current version/release in Fedora Rawhide: 0.3.1-4.fc20
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 8 Jens Petersen 2014-09-11 06:05:20 EDT
fhbz: Rawhide can be updated to fast-logger-2.1.4 
according to the current cblrepo data in haskell-sig.git.

It would require rebuilding:
 wai-logger wai-extra
Comment 9 Upstream Release Monitoring 2014-10-18 03:57:27 EDT
Latest upstream release: 2.2.1
Current version/release in Fedora Rawhide: 0.3.3-3.fc22
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 10 Jens Petersen 2014-10-20 06:21:31 EDT
fhbz: cblrepo output for fast-logger-2.2.1:

Failed to satisfy the following dependencies for fast-logger:
  auto-update >=0.1.2
Adding fast-logger 2.2.1 would break:
  monad-logger : fast-logger >=2.0 && <2.2
Comment 11 Upstream Release Monitoring 2014-10-22 04:16:24 EDT
Latest upstream release: 2.2.3
Current version/release in Fedora Rawhide: 0.3.3-3.fc22
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 12 Jens Petersen 2014-10-22 21:50:33 EDT
fhbz: cblrepo output for fast-logger-2.2.3:

Failed to satisfy the following dependencies for fast-logger:
  auto-update >=0.1.2
Adding fast-logger 2.2.3 would break:
  monad-logger : fast-logger >=2.0 && <2.2
Comment 13 Upstream Release Monitoring 2015-02-26 07:30:06 EST
Latest upstream release: 2.3.0
Current version/release in rawhide: 2.1.4-1.fc22
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 14 Upstream Release Monitoring 2015-02-26 07:43:06 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9080985
Comment 15 Upstream Release Monitoring 2015-03-28 20:28:23 EDT
Latest upstream release: 2.3.1
Current version/release in rawhide: 2.1.4-1.fc22
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 16 Upstream Release Monitoring 2015-03-28 20:30:10 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9358288
Comment 17 Jens Petersen 2015-04-03 02:41:11 EDT
Configuring fast-logger-2.3.1...
Setup: At least the following dependencies are missing:
auto-update >=0.1.2, bytestring-builder -any
Comment 18 Upstream Release Monitoring 2015-07-06 08:11:36 EDT
Latest upstream release: 2.4.0
Current version/release in rawhide: 2.1.4-2.fc23
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 19 Upstream Release Monitoring 2015-07-06 08:11:45 EDT
Created attachment 1048803 [details]
[patch] Update to 2.4.0 (#987347)
Comment 20 Upstream Release Monitoring 2015-07-06 08:13:42 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10299610
Comment 21 Upstream Release Monitoring 2015-08-12 20:12:15 EDT
Latest upstream release: 2.4.1
Current version/release in rawhide: 2.1.4-2.fc23
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 22 Upstream Release Monitoring 2015-08-12 20:12:22 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-fLwCMG/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-fLwCMG/100.0%: No such file or directory
Comment 23 Upstream Release Monitoring 2016-04-19 11:32:03 EDT
Latest upstream release: 2.4.3
Current version/release in rawhide: 2.1.4-3.fc24
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/980/
Comment 24 Upstream Release Monitoring 2016-04-19 11:32:14 EDT
Patching or scratch build for ghc-fast-logger-2.1.4 failed.
Comment 25 Upstream Release Monitoring 2016-04-19 11:32:16 EDT
Created attachment 1148661 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 26 Upstream Release Monitoring 2016-04-19 11:32:18 EDT
Patches were not touched. All were applied properly
Comment 27 Upstream Release Monitoring 2016-04-26 08:13:08 EDT
Latest upstream release: 2.4.5
Current version/release in rawhide: 2.1.4-3.fc24
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/980/
Comment 28 Upstream Release Monitoring 2016-04-26 08:13:20 EDT
Patching or scratch build for ghc-fast-logger-2.1.4 failed.
Comment 29 Upstream Release Monitoring 2016-04-26 08:13:22 EDT
Created attachment 1150907 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 30 Upstream Release Monitoring 2016-04-26 08:13:24 EDT
Patches were not touched. All were applied properly
Comment 31 Upstream Release Monitoring 2016-05-01 20:12:28 EDT
Latest upstream release: 2.4.6
Current version/release in rawhide: 2.1.4-3.fc24
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/980/
Comment 32 Upstream Release Monitoring 2016-05-01 20:12:42 EDT
Patching or scratch build for ghc-fast-logger-2.1.4 failed.
Comment 33 Upstream Release Monitoring 2016-05-01 20:12:43 EDT
Created attachment 1152842 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 34 Upstream Release Monitoring 2016-05-01 20:12:45 EDT
Patches were not touched. All were applied properly
Comment 35 Jens Petersen 2016-06-22 07:20:29 EDT
fhbz: cblrpm missingdeps output for fast-logger-2.4.6:


auto-update
bytestring-builder
easy-file
Comment 36 Jens Petersen 2016-06-22 21:09:22 EDT
fhbz: cblrpm missingdeps output for fast-logger-2.4.6:


auto-update
bytestring-builder
easy-file
Comment 37 Upstream Release Monitoring 2016-10-02 08:17:24 EDT
Latest upstream release: 2.4.7
Current version/release in rawhide: 2.1.4-3.fc25
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/980/
Comment 38 Upstream Release Monitoring 2016-10-02 08:17:38 EDT
Patching or scratch build for ghc-fast-logger-2.1.4 failed.
Comment 39 Upstream Release Monitoring 2016-10-02 08:17:40 EDT
Created attachment 1206594 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 40 Upstream Release Monitoring 2016-10-02 08:17:42 EDT
Patches were not touched. All were applied properly
Comment 41 Upstream Release Monitoring 2017-01-29 07:14:51 EST
Latest upstream release: 2.4.8
Current version/release in rawhide: 2.1.4-3.fc25
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/980/
Comment 42 Upstream Release Monitoring 2017-01-29 07:15:06 EST
Patching or scratch build for ghc-fast-logger-2.1.4 failed.
Comment 43 Upstream Release Monitoring 2017-01-29 07:15:07 EST
Created attachment 1245541 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 44 Upstream Release Monitoring 2017-01-29 07:15:10 EST
Patches were not touched. All were applied properly
Comment 45 Upstream Release Monitoring 2017-02-04 19:12:16 EST
Latest upstream release: 2.4.10
Current version/release in rawhide: 2.1.4-3.fc25
URL: http://hackage.haskell.org/package/fast-logger

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/980/
Comment 46 Upstream Release Monitoring 2017-02-04 19:12:29 EST
Patching or scratch build for ghc-fast-logger-2.1.4 failed.
Comment 47 Upstream Release Monitoring 2017-02-04 19:12:31 EST
Created attachment 1247761 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 48 Upstream Release Monitoring 2017-02-04 19:12:33 EST
Patches were not touched. All were applied properly
Comment 49 Upstream Release Monitoring 2017-02-26 04:50:34 EST
petersen's ghc-fast-logger-2.4.10-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=862148
Comment 50 Jens Petersen 2017-03-01 03:12:02 EST
ghc-fast-logger-2.4.10-1.fc26

Note You need to log in before you can comment on or make changes to this bug.